plugins {
    id 'com.android.application'
}

android {
    namespace 'com.example.bpa'
    compileSdk 33

    defaultConfig {
        applicationId "com.example.bpa"
        minSdk 23
        targetSdk 33
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    buildFeatures {
        viewBinding true
    }

    sourceSets {
        main{
            res.srcDirs=[
                    'src/main/res/layout/datatab',
                    'src/main/res/layout/from',
                    'src/main/res/layout/item',
                    'src/main/res/layout/toast',
                    'src/main/res/layout',
                    'src/main/res'
            ]

        }
    }
}

dependencies {
    implementation 'com.github.licheedev:Modbus4Android:2.0.2'
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.5.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    implementation 'androidx.recyclerview:recyclerview:1.2.1'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'com.qmuiteam:qmui:2.0.0-alpha10'  //腾讯ui包
    implementation("com.iqiyi.xcrash:xcrash-android-lib:3.1.0") //爱奇艺捕获异常插件
    implementation files('libs\\gson-2.2.2.jar')
    implementation files('libs\\sdkapi.jar')
    compileOnly files('libs/sdkapi.jar')
    implementation files('libs/modbus4Android-1.2.jar')
}